Permalink
Browse files

Ruby 1.9 includes rake, but not rake/contrib. For the moment I've mov…

…ed the sshpublisher require into the only rake task that needs it, so that I can at least run the tests in Ruby 1.9. It looks like I will need to build a rake/contrib gem or similar to get this working properly - http://intertwingly.net/blog/2008/01/07/Rake-Contrib-for-1-9
  • Loading branch information...
floehopper committed Jan 28, 2009
1 parent 33253b1 commit ca229583b25c295983cf93b70f168ced9a9fb341
Showing with 1 addition and 1 deletion.
  1. +1 −1 Rakefile
View
@@ -2,7 +2,6 @@ require 'rubygems'
require 'rake/rdoctask'
require 'rake/gempackagetask'
require 'rake/testtask'
-require 'rake/contrib/sshpublisher'
module Mocha
VERSION = "0.9.4"
@@ -88,6 +87,7 @@ task 'rdoc' => 'examples'
desc "Upload RDoc to RubyForge"
task 'publish_rdoc' => ['rdoc', 'examples'] do
+ require 'rake/contrib/sshpublisher'
Rake::SshDirPublisher.new("jamesmead@rubyforge.org", "/var/www/gforge-projects/mocha", "doc").upload
end

0 comments on commit ca22958

Please sign in to comment.